%define name spacefm
%define version 1.0.5
%define release %mkrel 1
%define url http://ignorantguru.github.com/spacefm/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	SpaceFM is a multi-panel tabbed file and desktop manager
Summary(de):	SpaceFM mit vier sogenannte Panels und Desktop Manager
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:	intltool
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:	libpthread-stubs
BuildRequires:	%{_lib}ffmpegthumbnailer-devel
Obsoletes:	%name < %version

%description
SpaceFM is a multi-panel tabbed file and desktop manager for Linux with built-in VFS, 
udev- or HAL-based device manager, customizable menu system, and bash integration.

Now used as the default file manager in the Parted Magic live rescue OS and other 
distros, SpaceFM is gaining popularity among novice and power users alike for its 
stability, speed, convenience and flexibility. 

#german
%description -l de
SpaceFM ist ein leichter, vielseitig anpassbarer und erweiterungsfähiger Dateimanager in GTK. 
Ist intuitiv zu bedienen und kann für komplexe Aufgaben genutzt werden, da Funktionen der Bash 
integriert werden können.

Neben der Darstellung von Tabs stellt SpaceFM bis zu vier sogenannte Panels zur Verfügung. 
Inklusive Seiten- und Werkzeugleiste.

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING-LGPL INSTALL README
%{_bindir}/%{name}
%{_bindir}/%{name}-auth
%{_bindir}/%{name}-installer
%{_datadir}/applications/%{name}-find.desktop
%{_datadir}/applications/%{name}-folder-handler.desktop
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/%{name}-manual-en.html
%{_iconsdir}/Faenza
%{_iconsdir}/hicolor
%{_datadir}/mime
%{_datadir}/%{name}/ui/*
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf   
#___________________________________________________________________________

%package i10n
Summary:	Internationalization files for %{name}
Summary(de):	Internationale Sprachdateien für %{name}
Group:		Graphical desktop/LXDE
Requires:	%{name}
Obsoletes:	%{name}-i18n
Requires:	%{name} = %{version}-%{release}

%description i10n
%{summary}

#german
%description i10n -l de
%{summary}

%files i10n -f %{name}.files
%defattr(-,root,root,-)

#___________________________________________________________________________

%prep

%setup -q -n %{name}-%{version}

%build
# LDFLAGS="$LDFLAGS -l%{_libdir}/libffmpegthumbnailer"
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

%find_lang %{name}
	mv %{name}.lang %{name}.files
	
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --remove-category="Core" \
  --remove-category="System" \
  --remove-category="Utility" \
  --remove-category="FileManager" \
  --remove-category="FileTools" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="GTK;System;FileManager" \
  --remove-mime-type="x-directory/normal" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*	


%post
echo "If you are running spacefm as desktop manager. 
Log out and start a new session to use spacefm."


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Oct 03 2016 adrianomorselli <adrianomorselli> 1.0.5-1uplos2016
- rebuild

* Fri Jan 29 2016 bb <bb> 1.0.5-1pclos2016
- update

* Fri Aug 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.3-1pclos2015
- 1.0.3

* Thu Jun 04 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.2-1pclos2015
- 1.0.2
- add missing BR libpthread-stubs, libffmpegthumbnailer-devel

